id: wordpress-astra-sites

info:
  name: Starter Templates – AI-Powered Templates for Elementor & Gutenberg Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/astra-sites/
  metadata:
    plugin_namespace: astra-sites
    wpscan: https://wpscan.com/plugin/astra-sites
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/astra-sites/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/astra-sites.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a00463044022010902361a630460d362a587a55aac61b3cf8a7612e7c3be31a26dc44368fb80b02207252871c365e29511bf8737e1dc9a0e87dcd3c3c387052656f75b4d08f1c1ac2:922c64590222798bb761d5b6d8e72950